Bug 180618 - Make an SWServer's registration store be optional
Summary: Make an SWServer's registration store be optional
Status: ASSIGNED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Service Workers (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Brady Eidson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-08 20:16 PST by Brady Eidson
Modified: 2017-12-10 20:10 PST (History)
6 users (show)

See Also:


Attachments
Patch (9.13 KB, patch)
2017-12-08 21:22 PST, Brady Eidson
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews105 for mac-elcapitan-wk2 (3.35 MB, application/zip)
2017-12-08 22:59 PST, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (61.81 MB, application/zip)
2017-12-08 23:25 PST, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (61.61 MB, application/zip)
2017-12-09 01:44 PST, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brady Eidson 2017-12-08 20:16:31 PST
Make an SWServer's registration store be optional

If the database failed to open, we shouldn't both pretending to do any of the extra work interacting with it.

This also lets us skip the whole step of pretending to open a database for a private browsing store (which should have no database path).
Comment 1 Brady Eidson 2017-12-08 21:22:00 PST
Created attachment 328903 [details]
Patch
Comment 2 Build Bot 2017-12-08 22:59:20 PST
Comment on attachment 328903 [details]
Patch

Attachment 328903 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/5555795

New failing tests:
storage/indexeddb/pending-version-change-on-exit-private.html
storage/indexeddb/pending-version-change-stuck-works-with-terminate-private.html
storage/indexeddb/pending-version-change-stuck-private.html
http/tests/cache-storage/cache-persistency.https.html
http/tests/workers/service/basic-register.html
storage/indexeddb/open-bad-versions-private.html
http/tests/workers/service/serviceworker-private-browsing.https.html
http/tests/cache-storage/cache-representation.https.html
http/tests/security/cookies/third-party-cookie-blocking-redirect.html
storage/domstorage/localstorage/private-browsing-affects-storage.html
storage/indexeddb/dont-wedge-private.html
storage/indexeddb/modern/transactions-stop-on-navigation-private.html
Comment 3 Build Bot 2017-12-08 22:59:21 PST
Created attachment 328906 [details]
Archive of layout-test-results from ews105 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 4 Build Bot 2017-12-08 23:25:17 PST
Comment on attachment 328903 [details]
Patch

Attachment 328903 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/5555860

New failing tests:
http/tests/workers/service/serviceworker-private-browsing.https.html
http/tests/security/cookies/third-party-cookie-blocking.html
http/tests/security/cookies/third-party-cookie-blocking-xslt.xml
http/tests/cache-storage/cache-persistency.https.html
http/tests/workers/service/basic-register.html
http/tests/cache-storage/cache-representation.https.html
http/tests/security/cookies/third-party-cookie-blocking-main-frame.html
http/tests/security/cookies/third-party-cookie-blocking-redirect.html
storage/domstorage/localstorage/private-browsing-affects-storage.html
http/tests/security/cookies/first-party-cookie-allow-xslt.xml
Comment 5 Build Bot 2017-12-08 23:25:21 PST
Created attachment 328907 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 6 Build Bot 2017-12-09 01:44:22 PST
Comment on attachment 328903 [details]
Patch

Attachment 328903 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/5557338

New failing tests:
http/tests/cache-storage/cache-representation.https.html
http/tests/security/cookies/third-party-cookie-blocking.html
http/tests/security/cookies/third-party-cookie-blocking-xslt.xml
http/tests/cache-storage/cache-persistency.https.html
http/tests/security/cookies/third-party-cookie-blocking-redirect.html
http/tests/workers/service/serviceworker-private-browsing.https.html
http/tests/security/cookies/third-party-cookie-blocking-main-frame.html
http/tests/workers/service/basic-register.html
storage/domstorage/localstorage/private-browsing-affects-storage.html
http/tests/security/cookies/first-party-cookie-allow-xslt.xml
Comment 7 Build Bot 2017-12-09 01:44:27 PST
Created attachment 328909 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 8 Brady Eidson 2017-12-10 20:10:55 PST
Will resist these failures later after I do more important things.